import { ColorPaletteConfig } from '@graphpolaris/shared/data-access/store';
import { ThemeOptions } from '@mui/material/styles';

/** Maps our color palette config (stored in redux) to the mui 5 theme format */
export default function MapColorsConfigToMuiTheme(
  colorsConfig: ColorPaletteConfig
): ThemeOptions {
  return {
    palette: {
      primary: { main: colorsConfig.primary.main },
      secondary: { main: colorsConfig.secondary.main },
      dataPointColors: colorsConfig.dataPointColors,
    },
  };
}
